import numpy as np
import matplotlib.pyplot as plt

a = 0.7  # equilibrium factor
yin = 0.1  # vapor entry mole fraction
L = 20  # mol/s
G = 12  # mol/s
n = 6  # number of stages

A = np.zeros((n,n))
b = np.zeros(n)

for i in range(n):
    A[i,i] = -(L+G*a)
for i in range(n-1):
    A[i,i+1] = G*a
for i in range(1,n):
    A[i,i-1] = L
b[5] = -G*yin

x = np.linalg.solve(A,b)
y = a*x

stage = np.arange(1,7)

plt.plot(stage,x,c='k',marker='o',mec='k',mfc='w',label='x')
plt.plot(stage,y,c='k',ls='--',marker='s',mec='k',mfc='w',label='y')
plt.grid()
plt.legend()
plt.xlabel('Stage Number')
plt.ylabel('Mole Fraction')
plt.title('Six-stage Absorber')

