import numpy as np
from scipy.integrate import solve_ivp
import matplotlib.pyplot as plt

k = 14.7
Ca0 = np.array([0.0209])
Cb0 = Ca0/3

def batch(t,Ca,k,Ca0,Cb0):
    Cb = Cb0 - (Ca0-Ca)
    return -k*Ca*Cb

tspan = [0., 20.]
teval = np.linspace(0., 20.)
result = solve_ivp(batch,tspan,Ca0,t_eval=teval,
                   args = (k,Ca0,Cb0))
tm = result.t
Ca = result.y[0,:]
Cb = Cb0 - (Ca0-Ca)
Cc = Ca0 - Ca

plt.plot(tm,Ca,label = 'Ca')
plt.plot(tm,Cb,c='m',label='Cb')
plt.plot(tm,Cc,c='g',label='Cc')
plt.grid()
plt.xlabel('time - min')
plt.ylabel('Concentration - mol/L')
plt.legend()
