import numpy as np
import matplotlib.pyplot as plt
from scipy.integrate import solve_ivp

def diffeqs(t,y):
    dy1 = y[1]
    dy2 = y[1]/4. + y[0]
    return [ dy1, dy2]

y0 = [5.,-4.4]
tspan = [0., 10.]
teval = np.linspace(0.,10.,100)

result = solve_ivp(diffeqs,tspan,y0,t_eval=teval)
tm = result.t
y1 = result.y[0,:]

plt.plot(tm,y1,c='k')
plt.grid()
plt.xlabel('t')
plt.ylabel('y')

