import numpy as np
import matplotlib.pyplot as plt
from scipy.integrate import solve_ivp
from scipy.optimize import brentq

def diffeqs(t,y):
    dy1 = y[1]
    dy2 = y[1]/4. + y[0]
    return [ dy1, dy2]

def splitboundary(y01):
    y0 = [5., y01]
    tspan = [ 0., 10.]
    teval = np.linspace(0.,10.,100)
    result = solve_ivp(diffeqs,tspan,y0,t_eval=teval)
    tm = result.t
    n = len(tm)
    return result.y[0,n-1]-8.

y01 = -4.4
y1_soln = brentq(splitboundary,-5.,-4.)
print('initial derivative value =',y1_soln)

y0 = [5., y1_soln]
tspan = [ 0., 10.]
teval = np.linspace(0.,10.,100)
result = solve_ivp(diffeqs,tspan,y0,t_eval=teval)
tm = result.t
y1 = result.y[0,:]

plt.plot(tm,y1,c='k')
plt.grid()
plt.xlabel('t')
plt.ylabel('y')

