import numpy as np

def mingold(f,a,b,maxit=30):
    GR = (np.sqrt(5)-1)/2
    for i in range(maxit):
        d = GR*(b-a)
        x1 = a + d
        x2 = b - d
        if f(x2)>f(x1):
            a = x2
        else:
            b = x1
    return (x1+x2)/2

def humps(x):
    hmps = 1/((x-0.3)**2+0.01)+1/((x-0.9)**2+0.04)-6
    return hmps

a = 0.5
b = 0.8
xmin = mingold(humps,a,b)
print('minimum x = {0:6.4f}'.format(xmin))
