import numpy as np
from scipy.integrate import solve_ivp
import matplotlib.pyplot as plt

f = lambda t,y: 5*(y-t**2)

fa = lambda t: t**2 + 0.4*t + 0.08

tspan = [0., 5.]
teval = np.linspace(0.,5.,100)
y0 = [0.08]

result = solve_ivp(f,tspan,y0,t_eval=teval 
                   , atol=1.e-12, rtol=1.e-12)
tm = result.t
yr = result.y[0,:]

plt.plot(tm,yr,c='k',label='numerical')
plt.plot(tm,fa(tm),c='k',ls='--',label='analytical')
plt.grid()
plt.xlabel('t')
plt.ylabel('y')
plt.legend()

