import numpy as np
import matplotlib.pyplot as plt

pct = np.arange(0,110,10)
Den = np.array([998.2, 981.5, 966.6, 951.5, 934.5,
                915.6, 894.6, 871.5, 846.9, 820.2, 791.7])

coeff = np.polyfit(pct,Den,3)
print(coeff)

pctp = np.linspace(0,100,100)
DenP = np.polyval(coeff,pctp)

plt.plot(pct,Den,c='w',marker='s',mec='k',mfc='w',label='data')
plt.plot(pctp,DenP,c='k',label='polynomial')
plt.grid()
plt.xlabel('Percent Methanol')
plt.ylabel('Density - kg/m3')
plt.legend()
plt.title('Density of Methanol/Water Solutions at 20 degC')
