import numpy as np
from scipy.integrate import quad
import matplotlib.pyplot as plt

stdnormdens = lambda z: 1/np.sqrt(2*np.pi)*np.exp(-z**2/2)

a = np.linspace(-5,5)
n = len(a)
P = np.zeros(n)

for i in range(n):
    P[i],ep = quad(stdnormdens,-np.inf,a[i])

plt.plot(a,P,c='k')
plt.grid()
plt.xlabel('z')
plt.ylabel('P')
plt.title('Cumulative Standard Normal Probability')    

