import numpy as np
import matplotlib.pyplot as plt
from scipy.integrate import solve_ivp

def f(t,y):
    dy = np.zeros(2)
    dy[0] = -2*y[0]**2 + 2*y[0] + y[1] -1
    dy[1] = -y[0] -3*y[1]**2 + 2*y[1] + 2
    return dy

tf = 2.
tspan = [0., tf]
teval = np.linspace(0., tf)
y0 = np.array([2., 0.])
result = solve_ivp(f,tspan,y0,t_eval=teval)
tm = result.t
x1 = result.y[0,:]
x2 = result.y[1,:]

plt.plot(tm,x1,c='k',label='x1')
plt.plot(tm,x2,c='k',ls='--',label='x2')
plt.grid()
plt.xlabel('t')
plt.ylabel('x1 and x2')
plt.legend()
