import numpy as np
import matplotlib.pyplot as plt
from scipy.optimize import brentq

def f(x,T,FeedH2,FeedCO2,FeedH2O,FeedCO):
    TK = T + 273.15  # K
    Keq = np.exp(-3.112+3317/TK) # equil constant
    ferr = (FeedH2+x)*(FeedCO2+x)/(FeedH2O-x)/(FeedCO-x) - Keq
    return ferr
    
FeedH2 = 450 # kmol/hr
FeedCO2 = 50
FeedH2O = 1150
FeedCO = 500

T = np.arange(500,1525,25)
n =len(T)
x = []
ProdH2 = []
ProdCO2 = []
ProdH2O = []
ProdCO = []
x1 = 50 ; x2 = 450
for i in range(n):
    xsoln = brentq(f,x1,x2,args=(T[i], \
           FeedH2,FeedCO2,FeedH2O,FeedCO))
    x = np.append(x,xsoln)
    ProdH2 = np.append(ProdH2,FeedH2+xsoln)
    ProdCO2 = np.append(ProdCO2,FeedCO2+xsoln)    
    ProdH2O = np.append(ProdH2O,FeedH2O-xsoln)    
    ProdCO = np.append(ProdCO,FeedCO-xsoln)
    
plt.plot(T,ProdH2,c='r',label='H2')
plt.plot(T,ProdCO2,c='g',label='CO2')
plt.plot(T,ProdH2O,c='b',label='H2O')
plt.plot(T,ProdCO,c='m',label='CO')
plt.grid()
plt.legend()
plt.xlabel('Temperature - degC')
plt.ylabel('Product Flow Rate - kmol/hr')


