import numpy as np
import matplotlib.pyplot as plt

def f(x):
    T = 1200 # degC
    TK = T + 273.15  # K
    Keq = np.exp(-3.112+3317/TK) # equil constant
    FeedH2 = 450 # kmol/hr
    FeedCO2 = 50
    FeedH2O = 1150
    FeedCO = 500
    ferr = (FeedH2+x)*(FeedCO2+x)/(FeedH2O-x)/(FeedCO-x) - Keq
    return ferr
    
x = np.linspace(100,200)
plt.plot(x,f(x),c='k')
plt.grid()
plt.xlabel('x')
plt.ylabel('f(x)')

